<!doctype html>
<html ng-app="app">
  <head>
    <meta charset="utf-8">
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <script src="node_modules/angular/angular.js"></script>
    <script src="node_modules/angular-touch/angular-touch.js"></script>
    <script src="node_modules/angular-animate/angular-animate.js"></script>

    <!--<script src="https://ui-grid.info/docs/grunt-scripts/csv.js"></script>-->
    <!--<script src="https://ui-grid.info/docs/grunt-scripts/pdfmake.js"></script>-->
    <!--<script src="https://ui-grid.info/docs/grunt-scripts/vfs_fonts.js"></script>-->

    <script src="node_modules/angular-ui-grid/ui-grid.js"></script>
    
    <link rel="stylesheet" href="node_modules/angular-ui-grid/ui-grid.css" type="text/css">

    
    <!-- Viewport settings-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <!-- Basic style -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.0/angular-material.min.css">

    <link href="../ionicfinder/www/css/ionic.app.css" rel="stylesheet">
    <link rel="stylesheet" href="main.css" type="text/css">
  </head>
  <body style="overflow-y:auto;">

    <p class="message-success bg-success"></p>
    <div ng-if="isAuthenticated" ng-controller="MainCtrl">
      <div class="bar bar-header bar-assertive">
        <button ng-click="refresh()" class="button icon ion-refresh"></button>
        <h1 class="title">Adminsite Asdra</h1>
        <a class="button" href="#/" ng-click="authService.logout()">Salir</a>
      </div>
      <div class="bar bar-subheader">
        <h4 class="title" style="text-align:left;">Cantidad de sitios: <strong>{{ gridOptions.data.length | number }}</strong></h4>
      </div>
      <!--<strong>Last Cell Edited:</strong> {{msg.lastCellEdited}}
      <br>-->
      <div class="card" style="margin-top:100px; box-shadow:0 0 0;">
        <div ui-grid="gridOptions" ui-grid-edit ui-grid-pinning ui-grid-expandable class="grid" style="height:700px;"></div>
      </div>
      <br>
      <div class="button button-assertive button-block col col-33 col-offset-33" ng-click="saveChanges()">Guardar</div>
      <!--<div><strong>Last file uploaded:</strong></div>
      <div>{{lastFile}}</div>-->
    </div>
    
    <div ng-if="!isAuthenticated" ng-view></div>

    <!-- libs -->
    <script src="../ionicfinder/www/js/services/env.js"></script>
    <script src="../ionicfinder/www/lib/js/pouchdb-5.3.2.js"></script>
    <script src="../ionicfinder/www/lib/js/pouchdb.upsert.js"></script>
    <script src="../ionicfinder/www/lib/js/pouchdb.load.js"></script>
    <script src="../ionicfinder/www/js/util/UUIDGen.js"></script>
    <script src="../ionicfinder/www/js/util/polyfills.js"></script>

    <script src="app.js"></script>
    <script src="../ionicfinder/www/js/models/Site.js"></script>
    <script src="../ionicfinder/www/js/services/PersistenceService.js"></script>
    <script src="PersistenceServiceFactory.js"></script>

    <!--<script type="text/javascript" src="bower_components/angular/angular.js"></script>-->
    <script type="text/javascript" src="bower_components/angular-route/angular-route.js"></script>
    <script type="text/javascript" src="bower_components/auth0-lock/build/lock.js"></script>
    <script type="text/javascript" src="bower_components/angular-lock/dist/angular-lock.js"></script>
    <script type="text/javascript" src="bower_components/angular-jwt/dist/angular-jwt.js"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.5/angular-aria.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.5/angular-messages.min.js"></script>
    <!-- Angular Material Library -->
    <script src="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.0/angular-material.min.js"></script>
    
    <script type="text/javascript" src="app.run.js"></script>
    <script type="text/javascript" src="auth0-variables.js"></script>
    <script type="text/javascript" src="components/home/home.controller.js"></script>
    <script type="text/javascript" src="components/login/login.controller.js"></script>
    <script type="text/javascript" src="components/ping/ping.controller.js"></script>
    <script type="text/javascript" src="components/auth/auth.service.js"></script>
  </body>
</html>
